Artifact Manifests - List By Artifact Store
Gets information about the artifact manifest.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.HybridNetwork/publishers/{publisherName}/artifactStores/{artifactStoreName}/artifactManifests?api-version=2023-09-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
artifact
|
path | True |
string maxLength: 64pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$ |
The name of the artifact store. |
|
publisher
|
path | True |
string maxLength: 64pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$ |
The name of the publisher. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request is successful. The operation returns the resulting ArtifactManifest resource. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get artifact manifest list resource
Sample request
GET https://management.azure.com/subscriptions/subid/resourceGroups/rg/providers/Microsoft.HybridNetwork/publishers/TestPublisher/artifactStores/TestArtifactStore/artifactManifests?api-version=2023-09-01
Sample response
{
"value": [
{
"id": "/subscriptions/subid/providers/microsoft.hybridnetwork/publishers/TestPublisher/artifactStores/TestArtifactStore/artifactManifests/TestManifest",
"name": "TestManifest",
"type": "microsoft.hybridnetwork/publishers/artifactStores/artifactManifests",
"location": "eastus",
"properties": {
"provisioningState": "Succeeded",
"artifactManifestState": "Uploaded",
"artifacts": [
{
"artifactName": "fed-rbac",
"artifactType": "OCIArtifact",
"artifactVersion": "1.0.0"
},
{
"artifactName": "nginx",
"artifactType": "OCIArtifact",
"artifactVersion": "v1"
}
]
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Artifact |
Artifact manifest properties. |
|
Artifact |
A list of artifact manifests. |
|
Artifact |
Artifact manifest properties. |
|
Artifact |
The artifact manifest state. |
|
Artifact |
The artifact type. |
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Manifest |
Manifest artifact properties. |
|
Provisioning |
The current provisioning state. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
ArtifactManifest
Artifact manifest properties.
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
The geo-location where the resource lives |
| name |
string |
The name of the resource |
| properties |
Artifact manifest properties. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| tags |
object |
Resource tags. |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
ArtifactManifestListResult
A list of artifact manifests.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The URI to get the next set of results. |
| value |
A list of artifact manifests. |
ArtifactManifestPropertiesFormat
Artifact manifest properties.
| Name | Type | Description |
|---|---|---|
| artifactManifestState |
The artifact manifest state. |
|
| artifacts |
The artifacts list. |
|
| provisioningState |
The provisioning state of the ArtifactManifest resource. |
ArtifactManifestState
The artifact manifest state.
| Value | Description |
|---|---|
| Unknown | |
| Uploading | |
| Uploaded | |
| Validating | |
| ValidationFailed | |
| Succeeded |
ArtifactType
The artifact type.
| Value | Description |
|---|---|
| Unknown | |
| OCIArtifact | |
| VhdImageFile | |
| ArmTemplate | |
| ImageFile |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ManifestArtifactFormat
Manifest artifact properties.
| Name | Type | Description |
|---|---|---|
| artifactName |
string |
The artifact name |
| artifactType |
The artifact type. |
|
| artifactVersion |
string |
The artifact version. |
ProvisioningState
The current provisioning state.
| Value | Description |
|---|---|
| Unknown | |
| Succeeded | |
| Accepted | |
| Deleting | |
| Failed | |
| Canceled | |
| Deleted | |
| Converging |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |